<!--
SPDX-FileCopyrightText: © 2021 Open Networking Foundation <support@opennetworking.org>
SPDX-License-Identifier: Apache-2.0
--!>
# ds389

This role install the [389 Directory Server](https://directory.fedoraproject.org/index.html)

# Note

Molecule test only works on Linux environment since DS389 needs to run setfacl for /var/run/systemd/ask-password but
/var/run doesn't support the ACL configuration on MAC environment.

## Requirements

Minimum ansible version: 2.9.5

## Defaults

List of default values for variables:

## Example Playbook

Please use pwdhash to generate SSHA5122 encrypted password

```yaml
- hosts: all
  vars:
    ds389_root_password: "{SSHA512}hZUoI/9C3PeGS4nphClWw6Rg2CTX4P0S74GS3YxsmfQdeBobBEkKyUycxQ1HNB9TJHVokY9dpChFOfDPbKzmf3BbiOC1YAFI"
  roles:
    - ds389

```

## License and Author

© 2021 Open Networking Foundation <support@opennetworking.org>

License: Apache-2.0
